function    znacilke = MyFeatureExtraction(razred, klas) %, razred, pic)

    vel = size(klas);
    % ugotovim koliko razredov imam v klas
    
    % vsem objektom najprej dolocim tezisca
    stev = size(razred);
    tezisca = zeros(stev(1),2);
    m = zeros(stev(1),3);
    for y=1:double(vel(2))
        for x=1:double(vel(1))
            if klas(x,y)~=0       
                for z=1:stev
                    if klas(x,y)==razred(z)
                        kam = z;
                    end
                end             
                m(kam,1) = m(kam,1) + 1;
                m(kam,2) = m(kam,2) + x;
                m(kam,3) = m(kam,3) + y;
            end
        end
    end
    
    for i=1:stev(1)
        if m(i,1)~=0
            x0 = m(i,2)/m(i,1);
            y0 = m(i,3)/m(i,1);
            tezisca(i,1) = x0;
            tezisca(i,2) = y0;           
        end
    end
    
    % tezisca sedaj imam - ugotovim se znacilke - normirane razdalje med
    % tezisci in robnimi tockami
    zeobdelal = zeros(stev(1),1);    % katere like sem ze obdelal
    znacilke = zeros(stev(1),10000);  % znacilke za vsak objekt - max 100000
    
    for y=1:double(vel(2))
        for x=1:double(vel(1))
            if klas(x,y)~=0         % ali ge za klasificirano obmocje
                for z=1:stev        % pogledam kje v tabeli imam to obmocje
                    if klas(x,y)==razred(z)
                        kje = z;
                    end
                end  
                if zeobdelal(kje)~=1 % in to obmocje se nisem obdelal
                    stznac = 1;
                    vsi = 0;
                    xx = x;
                    yy = y;
                    senitab = zeros(double(vel(1)),double(vel(2)));
                    while (vsi == 0)
                          stznac = stznac + 1;            % dodam novo znacilko
                          v = zeros(2,1);
                          vv = [xx yy]; %vv = vv / norm(vv);
                          vt = [tezisca(kje,1) tezisca(kje,2)]; %vt = vt / norm(vt);
                          v = vv - vt;
                          znacilke(kje,stznac) = sqrt(v(1)*v(1)+v(2)*v(2));
                          t = [xx yy];
                          [t,senitab] = naslednji(klas,senitab,t);
                          xx = t(1); yy = t(2);
                          if and(t(1)==0,t(2)==0)   %ce en najdem nobenega vec, potem bom koncal
                              vsi = 1;
                          end
                 end
                 znacilke(kje,1) = stznac - 1;
                 zeobdelal(kje) = 1;   % oznacim, da sem tega ze obdelal       
            end
        end
    end
end