function [klas] = MySegmentation(pic)

    obj = [];
    vel = size(pic);
    klas = zeros(double(vel(1)),double(vel(2)));
    razred = 1;
    for y= 1:double(vel(2))
        for x = 1:double(vel(1))
            a = pic(x,y);
            if x == 1       % ce je pogoj - dolocim c in d kot bele pixle
                c = 0;
                d = 0;
            end
            if y == 1       % ce je pogoj - dolocim robna c in b kot bele pixle
                c = 0;
                b = 0;
            end
            if x~=1         % ali lahko dolocim d?
                d = pic(x-1,y);
            end
            if y~=1         % ali lahko dolocim b?
                b = pic(x,y-1);
            end
            if and(x~=1,y~=1)   % ali lahko dolocim c?
                c = pic(x-1,y-1);
            end
            
            if (a == 0)
                if (c == 0)     % ali gre za barven pixel
                    klas(x,y) = klas(x-1,y-1);  % pogledam v kater razred spada, ce je barven
                else
                    if and(and(b == 1, c == 1), d == 1) % ali so vsi okoliski beli
                        klas(x,y) = razred;     % dolocim nov razred
                        razred = razred + 1;
                    else 
                        if and(d==1,b==0)     % d je svetel, b pripada obmocju
                            klas(x,y) = klas(x,y-1);    % a pripada istemu kot b
                        else
                            if and(b==1,d==0)
                                klas(x,y) = klas(x-1,y);
                            else
                                if and(b==0, d==0)  % ali pripadata kaksnemu obmocju
                                    if klas(x,y-1)==klas(x-1,y) % in sta obe obmocji isti
                                        klas(x,y) = klas(x,y-1); % tedaj tudi a pripada
                                    else            % drugace pripadata razlicnim obmocjem 
                                        klas(x,y) = klas(x,y-1);
                                        star = klas(x-1,y);
                                        nov = klas(x,y-1);
                                        for a = 1:double(vel(1))    % zdruzim obmocji
                                            for b = 1:double(vel(2))
                                                if klas(a,b)==star
                                                    klas(a,b) = nov;    
                                                end
                                            end
                                        end
                                    end
                                end
                            end
                        end
                    end
                end
            end
        end
    end  
